libgdamm: Gnome::Gda::ConnectionEvent Class Reference

libgdamm 4.99.10

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions | List of all members
Gnome::Gda::ConnectionEvent Class Reference

Any event which has occurred on a Gda::Connection. More...

Inheritance diagram for Gnome::Gda::ConnectionEvent:
[legend]
Collaboration diagram for Gnome::Gda::ConnectionEvent:
[legend]

## Public Member Functions
| ConnectionEvent (ConnectionEvent&& src) noexcept
ConnectionEvent& | operator= (ConnectionEvent&& src) noexcept
virtual | ~ConnectionEvent () noexcept
GdaConnectionEvent* | gobj ()
| Provides access to the underlying C GObject. More...
const GdaConnectionEvent* | gobj () const
| Provides access to the underlying C GObject. More...
GdaConnectionEvent* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
void | set_event_type (ConnectionEventType type)
| Sets event's severity (from a simple notice to a fatal event) This function should not be called directly. More...
ConnectionEventType | get_event_type () const
| Get event's severity (from a simple notice to a fatal event) More...
Glib::ustring | get_description () const
| Get the description of the event. More...
void | set_description (const Glib::ustring& description)
| Sets event's description. More...
glong | get_code () const
void | set_code (glong code)
| Sets event's code: the code is specific to the provider being used. More...
ConnectionEventCode | get_gda_code () const
| Retrieve the code associated to event. More...
void | set_gda_code (ConnectionEventCode code)
| Sets event's gda code: that code is standardized by the libgda library. More...
Glib::ustring | get_source () const
void | set_source (const Glib::ustring& source)
| Sets event's source; this function should not be called directly. More...
Glib::ustring | get_sqlstate () const
| Get the SQLSTATE value of event. More...
void | set_sqlstate (const Glib::ustring& sqlstate)
| Changes the SQLSTATE code of event, this function should not be called directly. More...
Glib::PropertyProxy< ConnectionEventType > | property_type ()
| Connection event type. More...
Glib::PropertyProxy_ReadOnly< ConnectionEventType > | property_type () const
| Connection event type. More...
Public Member Functions inherited from Glib::Object
| Object (const Object &)=delete
Object & | operator= (const Object &)=delete
| Object (Object &&src) noexcept
Object & | operator= (Object &&src) noexcept
void * | get_data (const QueryQuark &key)
void | set_data (const Quark &key, void *data)
void | set_data (const Quark &key, void *data, DestroyNotify notify)
void | remove_data (const QueryQuark &quark)
void * | steal_data (const QueryQuark &quark)
Glib::RefPtr< Glib::Object > | wrap (GObject *object, bool take_copy=false)
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
void | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void > &slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, const sigc::slot< void > &slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Public Member Functions inherited from sigc::trackable
| trackable ()
| trackable (const trackable &src)
| trackable (trackable &&src) noexcept
| ~trackable ()
void | add_destroy_notify_callback (void *data, func_destroy_notify func) const
void | notify_callbacks ()
trackable & | operator= (const trackable &src)
trackable & | operator= (trackable &&src) noexcept
void | remove_destroy_notify_callback (void *data) const

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
static Glib::RefPtr< ConnectionEvent > | create ()

## Protected Member Functions
| ConnectionEvent ()
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams &construct_params)
| Object (GObject *castitem)
virtual | ~Object () noexcept
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
| ObjectBase (ObjectBase &&src) noexcept
ObjectBase & | operator= (ObjectBase &&src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject *castitem)
void | initialize_move (GObject *castitem, Glib::ObjectBase *previous_wrapper)

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gnome::Gda::ConnectionEvent > | wrap (GdaConnectionEvent* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Additional Inherited Members
Public Types inherited from Glib::Object
typedef void(* | DestroyNotify) (gpointer data)
Public Types inherited from sigc::trackable
typedef internal::func_destroy_notify | func_destroy_notify

## Detailed Description

Any event which has occurred on a Gda::Connection.

Events occuring on a connection are each represented as a ConnectionEvent object. Each Connection is responsible for keeping a list of past events; that list can be consulted using the Connection::get_events() function.

## Constructor & Destructor Documentation

Gnome::Gda::ConnectionEvent::ConnectionEvent | ( | ConnectionEvent&& | src | ) |
| noexcept

virtual Gnome::Gda::ConnectionEvent::~ConnectionEvent | ( |  | ) |
| virtualnoexcept

Gnome::Gda::ConnectionEvent::ConnectionEvent | ( |  | ) |
| protected

## Member Function Documentation

static Glib::RefPtr<ConnectionEvent> Gnome::Gda::ConnectionEvent::create | ( |  | ) |
| static

glong Gnome::Gda::ConnectionEvent::get_code | ( |  | ) | const

Returns
  event's code (the code is specific to the provider being used).

Glib::ustring Gnome::Gda::ConnectionEvent::get_description | ( |  | ) | const

Get the description of the event.

Note that is event's type is GDA_CONNECTION_EVENT_COMMAND, the the description is the SQL of the command.

Returns
  event's description.

ConnectionEventType Gnome::Gda::ConnectionEvent::get_event_type | ( |  | ) | const

Get event's severity (from a simple notice to a fatal event)

Returns
  The event type.

ConnectionEventCode Gnome::Gda::ConnectionEvent::get_gda_code | ( |  | ) | const

Retrieve the code associated to event.

Returns
  The Gda::ConnectionEventCode event's code.

Glib::ustring Gnome::Gda::ConnectionEvent::get_source | ( |  | ) | const

Returns
  event's source.

Glib::ustring Gnome::Gda::ConnectionEvent::get_sqlstate | ( |  | ) | const

Get the SQLSTATE value of event.

Even though the SQLSTATE values are specified by ANSI SQL and ODBC, consult each DBMS for the possible values. However, the "00000" (success) value means that there is no error, and the "HY000" (general error) value means an error but no better error code available.

Returns
  event's SQL state.

static GType Gnome::Gda::ConnectionEvent::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

GdaConnectionEvent* Gnome::Gda::ConnectionEvent::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

const GdaConnectionEvent* Gnome::Gda::ConnectionEvent::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

GdaConnectionEvent* Gnome::Gda::ConnectionEvent::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

ConnectionEvent& Gnome::Gda::ConnectionEvent::operator= | ( | ConnectionEvent&& | src | ) |
| noexcept

Glib::PropertyProxy< ConnectionEventType > Gnome::Gda::ConnectionEvent::property_type | ( |  | ) |

Connection event type.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< ConnectionEventType > Gnome::Gda::ConnectionEvent::property_type | ( |  | ) | const

Connection event type.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

void Gnome::Gda::ConnectionEvent::set_code | ( | glong | code | ) |

Sets event's code: the code is specific to the provider being used.

If you want to have a common understanding of the event codes, use get_gda_code() instead.

This function should not be called directly

Parameters

  code | A code.

void Gnome::Gda::ConnectionEvent::set_description | ( | const Glib::ustring & | description | ) |

Sets event's description.

This function should not be called directly.

Parameters

  description | A description.

void Gnome::Gda::ConnectionEvent::set_event_type | ( | ConnectionEventType | type | ) |

Sets event's severity (from a simple notice to a fatal event) This function should not be called directly.

Parameters

  type | The severity of the event.

void Gnome::Gda::ConnectionEvent::set_gda_code | ( | ConnectionEventCode | code | ) |

Sets event's gda code: that code is standardized by the libgda library.

If you want to specify the corresponding provider specific code, use get_code() or get_sqlstate() instead.

This function should not be called directly

Parameters

  code | A code.

void Gnome::Gda::ConnectionEvent::set_source | ( | const Glib::ustring & | source | ) |

Sets event's source; this function should not be called directly.

Parameters

  source | A source.

void Gnome::Gda::ConnectionEvent::set_sqlstate | ( | const Glib::ustring & | sqlstate | ) |

Changes the SQLSTATE code of event, this function should not be called directly.

Sets event's SQL state.

Parameters

  sqlstate | SQL state.

## Friends And Related Function Documentation

Glib::RefPtr< Gnome::Gda::ConnectionEvent > wrap | ( | GdaConnectionEvent * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- libgdamm/connectionevent.h